teams:
- name: sre_reliability
  url: https://about.gitlab.com/handbook/engineering/infrastructure/team/reliability/#core-infra
  slack_channel: production
  engagement_policy:
  oncall_schedule: https://gitlab.pagerduty.com/schedules#P22HQSG

- name: create
  url: https://about.gitlab.com/handbook/engineering/development/dev/create/
  slack_channel: g_create
  engagement_policy:  # Link to doc that talks about engagement and escalation policy
  oncall_schedule:    # Link to pagerduty oncall schedule

- name: deploy_environments
  url: https://handbook.gitlab.com/handbook/engineering/development/ops/deploy/environments/
  slack_channel: g_environments
  slack_alerts_channel: feed_alerts_configure
  product_stage_group: environments
  send_slo_alerts_to_team_slack_channel: true
  send_error_budget_weekly_to_slack: true
  slack_error_budget_channel: cd-section
  engagement_policy:  # Link to doc that talks about engagement and escalation policy
  oncall_schedule:    # Link to pagerduty oncall schedule
  # product_stage_group: deploy_environments
  # ignored_components:
  # - graphql_query

- name: distribution_deploy
  url: https://about.gitlab.com/handbook/engineering/dev-backend/distribution/
  slack_channel: g_distribution
  engagement_policy:  # Link to doc that talks about engagement and escalation policy
  oncall_schedule:    # Link to pagerduty oncall schedule
  product_stage_group: distribution_deploy
  ignored_components:
  - graphql_query
- name: geo
  url: https://about.gitlab.com/handbook/engineering/dev-backend/geo/
  slack_channel: g_geo
  engagement_policy:  # Link to doc that talks about engagement and escalation policy
  oncall_schedule:    # Link to pagerduty oncall schedule
  product_stage_group: geo
  ignored_components:
  - graphql_query

- name: gitaly
  url: https://about.gitlab.com/handbook/engineering/dev-backend/gitaly/
  manager: andrashorvath
  slack_alerts_channel: gitaly-alerts
  product_stage_group: gitaly
  ignored_components:
  - graphql_query

- name: manage
  url: https://about.gitlab.com/handbook/engineering/dev-backend/manage/
  slack_channel: g_manage
  engagement_policy:  # Link to doc that talks about engagement and escalation policy
  oncall_schedule:    # Link to pagerduty oncall schedule

- name: plan
  url: https://about.gitlab.com/handbook/engineering/dev-backend/manage/
  slack_channel: s_plan
  engagement_policy:  # Link to doc that talks about engagement and escalation policy
  oncall_schedule:    # Link to pagerduty oncall schedule

- name: product_analytics
  product_stage_group: product_analytics
  url: https://about.gitlab.com/handbook/engineering/development/analytics/product-analytics/
  slack_channel: g_monitor_product_analytics
  slack_alerts_channel: g_monitor_product_analytics_infra_alerts
  alerts:
  - prod-1
  - prd-278964

- name: support
  url: https://about.gitlab.com/handbook/support/
  slack_channel: support_gitlab-com
  engagement_policy:  # Link to doc that talks about engagement and escalation policy
  oncall_schedule: https://gitlab.pagerduty.com/schedules#PIQ317K

- name: container_registry
  url: https://about.gitlab.com/handbook/engineering/development/ops/package/container-registry/
  slack_channel: g_container-registry
  slack_alerts_channel: g_container-registry_alerts
  send_slo_alerts_to_team_slack_channel: true
  product_stage_group: container_registry
  send_error_budget_weekly_to_slack: true
  slack_error_budget_channel: ci-section
  ignored_components:
  - graphql_query

- name: package_registry
  url: https://about.gitlab.com/handbook/engineering/development/ops/package/package-registry/
  slack_channel: g_package-registry
  slack_alerts_channel: g_package-registry_alerts
  send_slo_alerts_to_team_slack_channel: true
  product_stage_group: package_registry
  send_error_budget_weekly_to_slack: true
  slack_error_budget_channel: ci-section
  ignored_components:
  - graphql_query

- name: runner
  product_stage_group: runner
  slack_alerts_channel: alerts-ci-cd
  send_error_budget_weekly_to_slack: true
  slack_error_budget_channel: ci-section
  ignored_components:
  - graphql_query

# From https://gitlab.com/gitlab-com/gl-infra/scalability/-/issues/344
- name: gitlab-pages
  slack_alerts_channel: gitlab-pages

- name: data-analytics
  url: https://about.gitlab.com/handbook/business-ops/data-team/platform/
  slack_channel: data-engineering
  slack_alerts_channel: data-prom-alerts
  oncall_schedule: https://about.gitlab.com/handbook/business-ops/data-team/how-we-work/duties/

- name: delivery
  slack_alerts_channel: g_delivery
  product_stage_group: delivery
  ignored_components:
  - graphql_query

- name: scalability:practices
  url: https://about.gitlab.com/handbook/engineering/infrastructure/team/scalability/#scalabilitypractices
  manager: kwanyangu
  label: team::Scalability-Practices
  slack_alerts_channel: g_scalability-practices

- name: scalability:observability
  url: https://about.gitlab.com/handbook/engineering/infrastructure/team/scalability/#scalabilityobservability
  manager: lmcandrew
  label: team::Scalability-Observability
  slack_alerts_channel: g_infra_observability_alerts
  send_slo_alerts_to_team_slack_channel: true
  alerts:
  - thanos
  - ops
  - gstg

# Workhorse is a virtual team
- name: workhorse
  slack_alerts_channel: workhorse

# Rapid Action Intercom
- name: rapid-action-intercom
  slack_alerts_channel: rapid-action-intercom

- name: pipeline_validation
  slack_alerts_channel: f_pipeline_validation_service
  send_slo_alerts_to_team_slack_channel: true

- name: anti_abuse
  slack_alerts_channel: feed_pipeline_abuse_alerts
  send_slo_alerts_to_team_slack_channel: true

- name: subtransaction_troubleshooting
  slack_alerts_channel: subtransaction_troubleshooting
  send_slo_alerts_to_team_slack_channel: true

- name: authentication
  slack_alerts_channel: g_govern_authentication
  slack_error_budget_channel: g_govern_authentication
  send_error_budget_weekly_to_slack: true
  send_slo_alerts_to_team_slack_channel: false
  product_stage_group: authentication
  ignored_components:
  - graphql_query
- name: authorization
  slack_alerts_channel: g_govern_authorization
  slack_error_budget_channel: g_govern_authorization
  send_error_budget_weekly_to_slack: true
  send_slo_alerts_to_team_slack_channel: false
  product_stage_group: authorization
  ignored_components:
  - graphql_query

- name: global_search
  manager: changzhengliu
  label: group::global search
  slack_alerts_channel: g_global_search
  product_stage_group: global_search
  ignored_components:
  - graphql_query

- name: 5-min-app
  product_stage_group: 5-min-app
  ignored_components:
  - graphql_query
- name: activation
  product_stage_group: activation
  slack_error_budget_channel: g_activation
  send_error_budget_weekly_to_slack: true
  ignored_components:
  - graphql_query

- name: ai_model_validation
  url: https://about.gitlab.com/handbook/engineering/development/data-science/ai-assisted/
  manager: mray2020
  label: group::ai assisted
  slack_alerts_channel: g_mlops-alerts
  product_stage_group: ai_model_validation
  ignored_components:
  - graphql_query
  slack_error_budget_channel: g_mlops-alerts
  send_error_budget_weekly_to_slack: true

- name: code_creation
  url: https://about.gitlab.com/handbook/engineering/development/dev/create/code_creation/
  manager: dsatcher
  label: group::code creation
  slack_alerts_channel: g_mlops-alerts
  product_stage_group: code_creation
  ignored_components:
  - graphql_query
  - runway_ingress # TODO: Remove when fixed: https://gitlab.com/gitlab-com/gl-infra/platform/runway/team/-/issues/174
  slack_error_budget_channel: g_mlops-alerts
  send_error_budget_weekly_to_slack: true

- name: code_review
  product_stage_group: code_review
  ignored_components:
  - graphql_query
- name: compliance
  product_stage_group: compliance
  slack_error_budget_channel: g_govern_compliance
  send_error_budget_weekly_to_slack: true
  ignored_components:
  - graphql_query
- name: composition_analysis
  product_stage_group: composition_analysis
  slack_error_budget_channel: g_secure-composition-analysis
  send_error_budget_weekly_to_slack: true
  ignored_components:
  - graphql_query
- name: acquisition
  product_stage_group: acquisition
  slack_error_budget_channel: g_acquisition
  send_error_budget_weekly_to_slack: true
  ignored_components:
  - graphql_query
- name: database
  product_stage_group: database
  ignored_components:
  - graphql_query
- name: dataops
  product_stage_group: dataops
  ignored_components:
  - graphql_query
- name: dynamic_analysis
  product_stage_group: dynamic_analysis
  slack_error_budget_channel: g_secure-dynamic-analysis
  send_error_budget_weekly_to_slack: true
  ignored_components:
  - graphql_query
- name: ide
  product_stage_group: ide
  ignored_components:
  - graphql_query
- name: personal_productivity
  product_stage_group: personal_productivity
  ignored_components:
  - graphql_query
- name: dedicated
  product_stage_group: dedicated
  ignored_components:
  - graphql_query
- name: import_and_integrate
  product_stage_group: import_and_integrate
  ignored_components:
  - graphql_query
- name: provision
  product_stage_group: provision
  ignored_components:
  - graphql_query
- name: cloud_connector
  product_stage_group: cloud_connector
  ignored_components:
  - graphql_query
- name: mlops
  product_stage_group: mlops
  ignored_components:
  - graphql_query
- name: mobile_devops
  product_stage_group: mobile_devops
  ignored_components:
  - graphql_query
- name: respond
  product_stage_group: respond
  send_error_budget_weekly_to_slack: true
  slack_error_budget_channel: s_monitor
  ignored_components:
  - graphql_query
- name: observability
  product_stage_group: observability
  slack_alerts_channel: g_observability_alerts
  send_error_budget_weekly_to_slack: true
  slack_error_budget_channel: s_monitor
  alerts:
  - gstg
  ignored_components:
  - graphql_query
- name: optimize
  product_stage_group: optimize
  ignored_components:
  - graphql_query
- name: pipeline_authoring
  product_stage_group: pipeline_authoring
  send_slo_alerts_to_team_slack_channel: true
  send_error_budget_weekly_to_slack: true
  slack_channel: g_pipeline-authoring_alerts
  slack_error_budget_channel: ci-section
  ignored_components:
  - graphql_query
- name: pipeline_execution
  product_stage_group: pipeline_execution
  slack_channel: g_pipeline-execution
  slack_alerts_channel: g_pipeline-execution_alerts
  slack_error_budget_channel: ci-section
  send_slo_alerts_to_team_slack_channel: true
  send_error_budget_weekly_to_slack: true
  ignored_components:
  - graphql_query
- name: analytics_instrumentation
  product_stage_group: analytics_instrumentation
  ignored_components:
  - graphql_query
- name: product_planning
  product_stage_group: product_planning
  slack_alerts_channel: s_plan-be
  ignored_components:
  - graphql_query
- name: project_management
  product_stage_group: project_management
  ignored_components:
  - graphql_query
- name: tenant_scale
  product_stage_group: tenant_scale
  ignored_components:
  - graphql_query
- name: source_code
  product_stage_group: source_code
  ignored_components:
  - graphql_query
- name: static_analysis
  product_stage_group: static_analysis
  slack_error_budget_channel: g_secure-static-analysis
  send_error_budget_weekly_to_slack: true
- name: pipeline_security
  product_stage_group: pipeline_security
  slack_channel: g_pipeline-security
  slack_alerts_channel: g_pipeline-security_alerts
  slack_error_budget_channel: ci-section
  send_error_budget_weekly_to_slack: true
  ignored_components:
  - graphql_query
- name: threat_insights
  product_stage_group: threat_insights
  ignored_components:
  - graphql_query
  slack_error_budget_channel: g_govern_threat_insights
  send_error_budget_weekly_to_slack: true
- name: ai_framework
  url: https://about.gitlab.com/handbook/engineering/development/data-science/ai-framework/
  manager: oregand
  label: group::ai framework
  product_stage_group: ai_framework
  ignored_components:
  - graphql_query
  slack_error_budget_channel: g_ai_framework
  send_error_budget_weekly_to_slack: true
  send_slo_alerts_to_team_slack_channel: true
  slack_alerts_channel: g_ai_framework
- name: subscription_management
  product_stage_group: subscription_management
  ignored_components:
  - graphql_query
- name: utilization
  product_stage_group: utilization
  ignored_components:
  - graphql_query
- name: vulnerability_research
  product_stage_group: vulnerability_research
  ignored_components:
  - graphql_query
- name: fulfillment_platform
  product_stage_group: fulfillment_platform
  slack_alerts_channel: s_fulfillment_status
  send_slo_alerts_to_team_slack_channel: true
  ignored_components:
  - graphql_query
- name: security_policies
  product_stage_group: security_policies
  slack_error_budget_channel: g_govern_security_policies
  send_error_budget_weekly_to_slack: true
- name: ops
  url: https://about.gitlab.com/handbook/engineering/development/ops
  slack_channel: doe-ops
  engagement_policy:  # Link to doc that talks about engagement and escalation policy
  oncall_schedule:    # Link to pagerduty oncall schedule


# Infrastructure Reliability

- name: reliability_general
  url: https://handbook.gitlab.com/handbook/engineering/infrastructure/team/ops/
  manager: kkyrala
  label: team::General
  slack_alerts_channel: g_infra_general_alerts
  send_slo_alerts_to_team_slack_channel: true
  alerts:
  - ops

- name: reliability_foundations
  url: https://handbook.gitlab.com/handbook/engineering/infrastructure/team/foundations/
  manager: sabrams
  label: team::Foundations
  slack_alerts_channel: g_infra_foundations_alerts
  send_slo_alerts_to_team_slack_channel: true
  alerts:
  - ops

- name: reliability_database_reliability
  url: https://about.gitlab.com/handbook/engineering/infrastructure/team/reliability/database-reliability.html#ownership
  manager: rmar1
  label: team::Database Reliability

# Security

- name: trust_and_safety
  url: https://about.gitlab.com/handbook/security/security-operations/trustandsafety/

- name: anti-abuse
  product_stage_group: anti-abuse
  slack_error_budget_channel: g_govern_anti-abuse
  send_error_budget_weekly_to_slack: true

- name: infrasec_team
  url: https://handbook.gitlab.com/handbook/security/product-security/infrastructure-security/
  slack_alerts_channel: infrasec-notifications

- name: security_operations
  url: https://handbook.gitlab.com/handbook/security/security-operations

# Marketing

- name: developer_relations
  url: https://about.gitlab.com/handbook/marketing/developer-relations/
  slack_channel: developer-relations
